#![no_std]
#![feature(linkage)]  // 开启弱链接特性
#![feature(panic_info_message)]

pub mod syscall;
pub mod user_lang_items;
pub use user_lang_items::*;

#[linkage = "weak"]  // 设置我们默认的main函数, 弱链接
#[no_mangle]
fn main() -> i32 {
    panic!("Cannot find main!");
}